Update case status
curl --request POST \
--url https://api.casexchange.com/api/public/v1/cases/{id}/status \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": "<string>",
"notes": "<string>",
"closingStatus": "<string>"
}
'import requests
url = "https://api.casexchange.com/api/public/v1/cases/{id}/status"
payload = {
"status": "<string>",
"notes": "<string>",
"closingStatus": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: '<string>', notes: '<string>', closingStatus: '<string>'})
};
fetch('https://api.casexchange.com/api/public/v1/cases/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referenceNumber": "ABC-0001",
"title": "<string>",
"description": "<string>",
"status": "<string>",
"caseType": "<string>",
"jurisdiction": "<string>",
"county": "<string>",
"clientFirstName": "<string>",
"clientLastName": "<string>",
"clientEmail": "jsmith@example.com",
"clientPhone": "<string>",
"incidentDate": "2023-12-25",
"notes": "<string>",
"sendingFirmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receivingFirmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}Cases
Update case status
Transitions a case to a new status. Invalid transitions are rejected. Requires STANDARD tier.
POST
/
cases
/
{id}
/
status
Update case status
Authorizations
Public API key (starts with cxp_). Required on every request.
Path Parameters
Resource UUID
Body
application/json
⌘I